Package org.eclipse.birt.chart.model.attribute

# Enum LineDecorator

java.lang.Object
java.lang.Enum<LineDecorator>
org.eclipse.birt.chart.model.attribute.LineDecorator

All Implemented Interfaces:
  `Serializable`, `Comparable<LineDecorator>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum LineDecorator extends Enum<LineDecorator> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Line Decorator', and utility methods for working with them. This type represents the possible line head decorators.

See Also:
  - `AttributePackage.getLineDecorator()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARROW_LITERAL`
The 'Arrow' literal object.
`CIRCLE_LITERAL`
The 'Circle' literal object.
`NONE_LITERAL`
The 'None' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ARROW`
The 'Arrow' literal value.
`static final int`
`CIRCLE`
The 'Circle' literal value.
`static final int`
`NONE`
The 'None' literal value.
`static final List<LineDecorator>`
`VALUES`
A public read-only list of all the 'Line Decorator' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static LineDecorator`
`get(int value)`
Returns the 'Line Decorator' literal with the specified integer value.
`static LineDecorator`
`get(String literal)`
Returns the 'Line Decorator' literal with the specified literal value.
`static LineDecorator`
`getByName(String name)`
Returns the 'Line Decorator' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static LineDecorator`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LineDecorator[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARROW_LITERAL

public static final LineDecorator ARROW_LITERAL
The 'Arrow' literal object.

See Also:
  - `ARROW`

### CIRCLE_LITERAL

public static final LineDecorator CIRCLE_LITERAL
The 'Circle' literal object.

See Also:
  - `CIRCLE`

### NONE_LITERAL

public static final LineDecorator NONE_LITERAL
The 'None' literal object.

See Also:
  - `NONE`

## Field Details

### ARROW

public static final int ARROW
The 'Arrow' literal value.

If the meaning of 'Arrow' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ARROW_LITERAL`
  - Constant Field Values

### CIRCLE

public static final int CIRCLE
The 'Circle' literal value.

If the meaning of 'Circle' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CIRCLE_LITERAL`
  - Constant Field Values

### NONE

public static final int NONE
The 'None' literal value.

If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NONE_LITERAL`
  - Constant Field Values

### VALUES

public static final List<LineDecorator> VALUES
A public read-only list of all the 'Line Decorator' enumerators.

## Method Details

### values

public static LineDecorator[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LineDecorator valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static LineDecorator get(String literal)
Returns the 'Line Decorator' literal with the specified literal value.

### getByName

public static LineDecorator getByName(String name)
Returns the 'Line Decorator' literal with the specified name.

### get

public static LineDecorator get(int value)
Returns the 'Line Decorator' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<LineDecorator>`